Bug 10811 - разбивает диск без предупреждения
: разбивает диск без предупреждения
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-09 17:59 by
Modified: 2007-03-12 14:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-09 17:59:23
Перед применением изменений диска необходимо показывать /popup/warning с 
возможностью отказа
------- Comment #1 From 2007-03-08 19:37:08 -------
В нынешнем варианте, насколько я помню, для изменения диска нужно нажать
"Apply".
Этого недостаточно?
------- Comment #2 From 2007-03-09 14:05:20 -------
по мне, достаточно. 
------- Comment #3 From 2007-03-09 15:20:36 -------
(In reply to comment #1)
> В нынешнем варианте, насколько я помню, для изменения диска нужно 
нажать "Apply".
> Этого недостаточно?
Это излишне. Я предлагаю убрать Apply вообще - это лишнее нажатие, до которого 
еще догадаться нужно.
Apply лучше делать по нажатию Forward, что более совместимо с поведением 
Wizard вообще.

------- Comment #4 From 2007-03-09 15:21:56 -------
(In reply to comment #3)
> Apply лучше делать по нажатию Forward, что более совместимо с поведением 
> Wizard вообще.
Если оставлять Apply, то она должна быть обязательно рядом с Forward/Backward
------- Comment #5 From 2007-03-09 17:02:36 -------
apply можно нажимать не один раз, последовательно приближаясь
к желаемому результату. предложение делать apply по forward,
c показом предупреждения или без оного, принимается.
------- Comment #6 From 2007-03-09 18:47:58 -------
(In reply to comment #5)
> предложение делать apply по forward,
> c показом предупреждения или без оного, принимается.
В случае, если с предупреждением, apply можно оставить, где есть, т.к. он 
станет опционален и на глаза бросаться не обязателен.
------- Comment #7 From 2007-03-09 20:26:18 -------
fixed in 0.3-alt7
------- Comment #8 From 2007-03-12 00:01:21 -------
(In reply to comment #4)
> > Apply лучше делать по нажатию Forward, что более совместимо с поведением 
> > Wizard вообще.

+1

> Если оставлять Apply, то она должна быть обязательно рядом с Forward/Backward

Необязательно -- кажется, в 3.0 определились именно на попапе с предупреждением
и оно на практике проблем не вызвало.

Бишь apply как кнопка может использоваться несколько раз за разбивку, но если не
было apply при нажатии на forward -- то спрашиваем подтверждения и применяем.

Правда, ещё не видел, как в 0.3-alt7.